# FASPEX 4.4.2 PATCH Level 1
**Operating Systems:** Linux and Windows
**Date:** 09/07/2022

This patch includes the following fixes:

### Patch Level 1 Fixes

| Jira Issue | Description                                                                                                                    |
| ---------- | ------------------------------------------------------------------------------------------------------------------------------ |
| FASPX-2092 | Clickjacking: CSP frame-ancestors missing                                                        |

## PATCH INSTRUCTIONS

### Applying the patch for Linux systems:
1. Download the patch file (`IBM_Aspera_Faspex_4.4.2_Linux_Windows_Patch_Level_1.zip`) and unzip it.

2. Make sure to back-up all the files in the faspex folder (``/opt/aspera/faspex/``).

3. Run the following command to replace existing files with patch files:

    ```$ /bin/cp -r patch_path/IBM_Aspera_Faspex_4.4.2_Linux_Windows_Patch_Level_1/* /opt/aspera/faspex/```

4. Change ownership of the `/opt/aspera/faspex` folder to the `faspex` group and `faspex` user:

     ```
     cd /opt/aspera/faspex
     chown -R faspex:faspex *
     ```

5. Restart Faspex service:

    ```
    asctl faspex:restart
    ```

6. Setup Apache in order to regenerate your config files:

    ```
    asctl apache:setup
    ```
    The process will ask you about your preferences, by default will keep the same, so you can hit enter on the steps and hit yes in order to restart the required services.
    
7. Run the following command to get the updated database schema:

    ```
    asctl faspex:migrate_database
    ```

8. Confirm the patch was applied by checking the patch level listed in the footer (beneath the version number).



### Applying the patch for Windows systems:
1. Download the patch file (`IBM_Aspera_Faspex_4.4.2_Linux_Windows_Patch_Level_1.zip`) and unzip it.


2. Make sure to back-up all the files in the Faspex folder (`C:\Program Files\Aspera\Faspex\`).


3. Stop Faspex services:

    a. Go to **Control Panel > Administrative Tools > Services**.

    b. For every service with Aspera Faspex in the name, right-click on the service and select **Stop** from the drop-down menu. (**Important** Do not stop **Apache** and **MySQL** services)

4. Replace existing files by copying patch files to the appropriate directories in the Faspex folder (`C:\Program Files\Aspera\Faspex\`).

5. Setup Apache in order to regenerate your config files:

    a. Go to **Control Panel > Administrative Tools > Services**.

    b. For every  stoped service with Aspera Faspex in the name, right-click on the service and select **Start** from the drop-down menu.

6. Setup Apache in order to regenerate your config files:

    Open **cmd** and run the following command to start the setup
    ```
    asctl apache:setup
    ```
    The process will ask you about your preferences, by default will keep the same, so you can hit enter on the steps and hit yes in order to restart the required services. 

7. Run the following command to get updated database schema:

    ```
    asctl faspex:migrate_database
    ```

8. Confirm the patch was applied by checking the patch level listed in the footer (beneath the version number).

 
© IBM Aspera. Copyright IBM Corp. 2009, 2020